=== debian/control ===
Source: python3.7
Section: python
Priority: optional
Maintainer: Matthias Klose <doko@debian.org>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.17.11),
  quilt, autoconf,
  lsb-release, sharutils,
  libreadline-dev, libncursesw5-dev (>= 5.3), 
  zlib1g-dev, libbz2-dev, liblzma-dev,
  libgdbm-dev, libdb-dev,
  tk-dev, blt-dev (>= 2.4z), libssl-dev,
  libexpat1-dev, libmpdec-dev (>= 2.4),
  libbluetooth-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
  locales [!armel !avr32 !hppa !ia64 !mipsel],
  libsqlite3-dev, libffi-dev (>= 3.0.5) [!or1k !avr32],
  libgpm2 [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
  mime-support, netbase, bzip2, time, python3:any,
  net-tools, xvfb, xauth
Build-Depends-Indep: python3-sphinx
Standards-Version: 4.1.0
Vcs-Browser: https://code.launchpad.net/~doko/python/pkg3.7-debian
Vcs-Bzr: http://bazaar.launchpad.net/~doko/python/pkg3.7-debian
XS-Testsuite: autopkgtest

Package: python3.7
Architecture: any
Multi-Arch: allowed
Priority: optional
Depends: python3.7-minimal (= ${binary:Version}), libpython3.7-stdlib (= ${binary:Version}), mime-support, ${shlibs:Depends}, ${misc:Depends}
Suggests: python3.7-venv, python3.7-doc, binutils
Description: Interactive high-level object-oriented language (version 3.7)
 Python is a high-level, interactive, object-oriented language. Its 3.7 version
 includes an extensive class library with lots of goodies for
 network programming, system administration, sounds and graphics.

Package: python3.7-venv
Architecture: any
Multi-Arch: allowed
Priority: optional
Depends: python3.7 (= ${binary:Version}),
 python-pip-whl (>= 8.1.0-2), ${shlibs:Depends}, ${misc:Depends},
Breaks: python3-pip (<< 1.5.6-4)
Description: Interactive high-level object-oriented language (pyvenv binary, version 3.7)
 Python is a high-level, interactive, object-oriented language. Its 3.7 version
 includes an extensive class library with lots of goodies for
 network programming, system administration, sounds and graphics.
 .
 This package contains the pyvenv-3.7 binary.

Package: libpython3.7-stdlib
Architecture: any
Multi-Arch: same
Priority: optional
Pre-Depends: ${misc:Pre-Depends}
Depends: libpython3.7-minimal (= ${binary:Version}), mime-support, ${shlibs:Depends}, ${misc:Depends}
Breaks: libmpdec2 (<< 2.4.2)
Description: Interactive high-level object-oriented language (standard library, version 3.7)
 Python is a high-level, interactive, object-oriented language. Its 3.7 version
 includes an extensive class library with lots of goodies for
 network programming, system administration, sounds and graphics.
 .
 This package contains Python 3.7's standard library. It is normally not
 used on its own, but as a dependency of python3.7.

Package: python3.7-minimal
Architecture: any
Multi-Arch: allowed
Priority: optional
Pre-Depends: ${shlibs:Pre-Depends}
Depends: libpython3.7-minimal (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Recommends: python3.7
Suggests: binfmt-support
Conflicts: binfmt-support (<< 1.1.2)
Description: Minimal subset of the Python language (version 3.7)
 This package contains the interpreter and some essential modules.  It can
 be used in the boot process for some basic tasks.
 See /usr/share/doc/python3.7-minimal/README.Debian for a list of the modules
 contained in this package.

Package: libpython3.7-minimal
Architecture: any
Multi-Arch: same
Priority: optional
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libpython3.7-stdlib
Conflicts: binfmt-support (<< 1.1.2)
Description: Minimal subset of the Python language (version 3.7)
 This package contains some essential modules. It is normally not
 used on it's own, but as a dependency of python3.7-minimal.

Package: libpython3.7
Architecture: any
Multi-Arch: same
Section: libs
Priority: optional
Pre-Depends: ${misc:Pre-Depends}
Depends: libpython3.7-stdlib (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Shared Python runtime library (version 3.7)
 Python is a high-level, interactive, object-oriented language. Its 3.7 version
 includes an extensive class library with lots of goodies for
 network programming, system administration, sounds and graphics.
 .
 This package contains the shared runtime library, normally not needed
 for programs using the statically linked interpreter.

Package: python3.7-examples
Architecture: all
Depends: python3.7 (>= ${source:Version}), ${misc:Depends}
Description: Examples for the Python language (v3.7)
 Examples, Demos and Tools for Python (v3.7). These are files included in
 the upstream Python distribution (v3.7).

Package: python3.7-dev
Architecture: any
Multi-Arch: allowed
Depends: python3.7 (= ${binary:Version}), libpython3.7-dev (= ${binary:Version}), libpython3.7 (= ${binary:Version}), libexpat1-dev, ${shlibs:Depends}, ${misc:Depends}
Recommends: libc6-dev | libc-dev
Description: Header files and a static library for Python (v3.7)
 Header files, a static library and development tools for building
 Python (v3.7) modules, extending the Python interpreter or embedding
 Python (v3.7) in applications.
 .
 Maintainers of Python packages should read README.maintainers.

Package: libpython3.7-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libpython3.7-stdlib (= ${binary:Version}), libpython3.7 (= ${binary:Version}), libexpat1-dev, ${shlibs:Depends}, ${misc:Depends}
Recommends: libc6-dev | libc-dev
Description: Header files and a static library for Python (v3.7)
 Header files, a static library and development tools for building
 Python (v3.7) modules, extending the Python interpreter or embedding
 Python (v3.7) in applications.
 .
 Maintainers of Python packages should read README.maintainers.
 .
 This package contains development files. It is normally not
 used on it's own, but as a dependency of python3.7-dev.

Package: libpython3.7-testsuite
Section: libdevel
Architecture: all
Depends: python3.7 (>= ${binary:Version}), ${misc:Depends}, net-tools
Suggests: python3-gdbm, python3-tk
Description: Testsuite for the Python standard library (v3.7)
 The complete testsuite for the Python standard library.  Note that
 a subset is found in the libpython3.7-stdlib package, which should
 be enough for other packages to use (please do not build-depend
 on this package, but file a bug report to include additional 
 testsuite files in the libpython3.7-stdlib package).

Package: idle-python3.7
Architecture: all
Depends: python3.7, python3-tk, python3.7-tk, ${misc:Depends}
Enhances: python3.7
Description: IDE for Python (v3.7) using Tkinter
 IDLE is an Integrated Development Environment for Python (v3.7).
 IDLE is written using Tkinter and therefore quite platform-independent.

Package: python3.7-doc
Section: doc
Architecture: all
Depends: libjs-jquery, libjs-underscore, ${misc:Depends}
Suggests: python3.7
Description: Documentation for the high-level object-oriented language Python (v3.7)
 These is the official set of documentation for the interactive high-level
 object-oriented language Python (v3.7). All documents are provided
 in HTML format. The package consists of ten documents:
 .
   * What's New in Python3.7
   * Tutorial
   * Python Library Reference
   * Macintosh Module Reference
   * Python Language Reference
   * Extending and Embedding Python
   * Python/C API Reference
   * Installing Python Modules
   * Documenting Python
   * Distributing Python Modules

Package: python3.7-dbg
Section: debug
Architecture: any
Multi-Arch: allowed
Priority: extra
Depends: python3.7 (= ${binary:Version}), libpython3.7-dbg (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Recommends: gdb
Suggests: python3-gdbm-dbg, python3-tk-dbg
Description: Debug Build of the Python Interpreter (version 3.7)
 The package holds two things:
 .
 - A Python interpreter configured with --pydebug. Dynamically loaded modules
   are searched as <foo>_d.so first. Third party extensions need a separate
   build to be used by this interpreter.
 - Debug information for standard python interpreter and extensions.
 .
 See the README.debug for more information.

Package: libpython3.7-dbg
Section: debug
Architecture: any
Multi-Arch: same
Priority: extra
Pre-Depends: ${misc:Pre-Depends}
Depends: libpython3.7-stdlib (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Debug Build of the Python Interpreter (version 3.7)
 The package holds two things:
 .
 - Extensions for a Python interpreter configured with --pydebug.
 - Debug information for standard python extensions.
 .
 See the README.debug for more information.
