## python3.7 3.7.0~b3

=== debian/changelog ===
python3.7 (3.7.0~b3-1) unstable; urgency=medium

  * Python 3.7.0 beta 3 release.
  * libpython3.7-stdlib: Add missing python3-distutils breaks. Closes: #894204.

 -- Matthias Klose <doko@debian.org>  Fri, 30 Mar 2018 12:35:22 +0800

python3.7 (3.7.0~b2-2) unstable; urgency=medium

  * libpython3.7-stdlib: Ship again distutils/{__init__,version}.py.

 -- Matthias Klose <doko@debian.org>  Fri, 23 Mar 2018 11:21:34 +0800

python3.7 (3.7.0~b2-1) unstable; urgency=medium

  * Python 3.7.0 beta 2 release.
    - Fix issue #32185: The SSL module no longer sends IP addresses in SNI TLS
      extension on platforms with OpenSSL 1.0.2+ or inet_pton. See #892814.
  * Add support for riscv64 (Aurelien Jarno). Addresses: #892328.
  * Update symbols files.

 -- Matthias Klose <doko@debian.org>  Tue, 13 Mar 2018 20:55:14 +0100

python3.7 (3.7.0~b1-1) unstable; urgency=medium

  * Python 3.7.0 beta 1 release.
  * Update symbols files.

 -- Matthias Klose <doko@debian.org>  Thu, 01 Feb 2018 08:36:28 +0100

python3.7 (3.7.0~a4-1) unstable; urgency=medium

  * Python 3.7.0 alpha 4 release.

 -- Matthias Klose <doko@debian.org>  Wed, 10 Jan 2018 13:34:16 +0100

python3.7 (3.7.0~a3-4) unstable; urgency=medium

  * Stop building python3.7-2to3, now replaced by 2to3 and python3-lib2to3.

 -- Matthias Klose <doko@debian.org>  Fri, 05 Jan 2018 03:45:13 +0100

python3.7 (3.7.0~a3-3) unstable; urgency=medium

  * Stop shipping lib2to3, now shipped in python3-lib2to3.

 -- Matthias Klose <doko@debian.org>  Wed, 27 Dec 2017 14:04:53 +0100

python3.7 (3.7.0~a3-2) unstable; urgency=medium

  * Split out a python3.7-2to3 package.
  * Stop shipping the tkinter and distutils modules in libpython3.7-stdlib.

 -- Matthias Klose <doko@debian.org>  Wed, 13 Dec 2017 12:18:54 +0100

python3.7 (3.7.0~a3-1) unstable; urgency=medium

  * Python 3.7.0 alpha 3 release.
  * Add support for mipsr6 triplets (YunQiang Su). Addresses: #881942.
  * Move the idle library into the idle-python3.7 package.
  * Build documentation in info format (Benjamin Moody). Addresses: #881959.

 -- Matthias Klose <doko@debian.org>  Wed, 06 Dec 2017 13:24:25 +0100
