=== debian/control ===
--- 
+++ 
@@ -16,8 +16,8 @@
   libgpm2 [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
   mime-support, netbase, bzip2, time, python3:any,
   net-tools, xvfb, xauth
-Build-Depends-Indep: python3-sphinx
-Standards-Version: 4.1.0
+Build-Depends-Indep: python3-sphinx, texinfo
+Standards-Version: 4.1.3
 Vcs-Browser: https://code.launchpad.net/~doko/python/pkg3.7-debian
 Vcs-Bzr: http://bazaar.launchpad.net/~doko/python/pkg3.7-debian
 XS-Testsuite: autopkgtest
@@ -26,7 +26,10 @@
 Architecture: any
 Multi-Arch: allowed
 Priority: optional
-Depends: python3.7-minimal (= ${binary:Version}), libpython3.7-stdlib (= ${binary:Version}), mime-support, ${shlibs:Depends}, ${misc:Depends}
+Depends: python3.7-minimal (= ${binary:Version}),
+ libpython3.7-stdlib (= ${binary:Version}),
+ mime-support,
+ ${shlibs:Depends}, ${misc:Depends}
 Suggests: python3.7-venv, python3.7-doc, binutils
 Description: Interactive high-level object-oriented language (version 3.7)
  Python is a high-level, interactive, object-oriented language. Its 3.7 version
@@ -53,7 +56,9 @@
 Priority: optional
 Pre-Depends: ${misc:Pre-Depends}
 Depends: libpython3.7-minimal (= ${binary:Version}), mime-support, ${shlibs:Depends}, ${misc:Depends}
-Breaks: libmpdec2 (<< 2.4.2)
+Breaks: python3-tk (<< 3.6.4~rc1-2), libmpdec2 (<< 2.4.2),
+  python3-distutils (<< 3.6.5~rc1-2),
+Replaces: python3-distutils (<< 3.6.5~rc1-2),
 Description: Interactive high-level object-oriented language (standard library, version 3.7)
  Python is a high-level, interactive, object-oriented language. Its 3.7 version
  includes an extensive class library with lots of goodies for
@@ -84,7 +89,8 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: libpython3.7-stdlib
-Conflicts: binfmt-support (<< 1.1.2)
+Breaks: libpython3.7-stdlib (<< 3.7.0~b2-1~)
+Conflicts: binfmt-support (<< 1.1.2), libpython3.7-stdlib (<< 3.7.0~b2-1~)
 Description: Minimal subset of the Python language (version 3.7)
  This package contains some essential modules. It is normally not
  used on it's own, but as a dependency of python3.7-minimal.
@@ -156,6 +162,8 @@
 Architecture: all
 Depends: python3.7, python3-tk, python3.7-tk, ${misc:Depends}
 Enhances: python3.7
+Breaks: libpython3.7-stdlib (<< 3.7.0~a3-1)
+Replaces: libpython3.7-stdlib (<< 3.7.0~a3-1)
 Description: IDE for Python (v3.7) using Tkinter
  IDLE is an Integrated Development Environment for Python (v3.7).
  IDLE is written using Tkinter and therefore quite platform-independent.
@@ -185,7 +193,6 @@
 Section: debug
 Architecture: any
 Multi-Arch: allowed
-Priority: extra
 Depends: python3.7 (= ${binary:Version}), libpython3.7-dbg (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Recommends: gdb
 Suggests: python3-gdbm-dbg, python3-tk-dbg
@@ -203,7 +210,6 @@
 Section: debug
 Architecture: any
 Multi-Arch: same
-Priority: extra
 Pre-Depends: ${misc:Pre-Depends}
 Depends: libpython3.7-stdlib (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: Debug Build of the Python Interpreter (version 3.7)
